{
  "createdWith": "Open Stage Control",
  "version": "1.24.0",
  "type": "session",
  "content": {
    "type": "root",
    "lock": false,
    "id": "root",
    "visible": true,
    "interaction": true,
    "comments": "",
    "width": "auto",
    "height": "auto",
    "colorText": "auto",
    "colorWidget": "auto",
    "alphaFillOn": "auto",
    "borderRadius": "auto",
    "padding": "auto",
    "html": "",
    "css": "",
    "colorBg": "auto",
    "layout": "default",
    "justify": "start",
    "gridTemplate": "",
    "contain": true,
    "scroll": true,
    "innerPadding": true,
    "tabsPosition": "top",
    "hideMenu": false,
    "variables": "@{parent.variables}",
    "traversing": false,
    "value": "",
    "default": "",
    "linkId": "",
    "address": "auto",
    "preArgs": "",
    "typeTags": "",
    "decimals": 2,
    "target": "",
    "ignoreDefaults": false,
    "bypass": false,
    "onCreate": "",
    "onValue": "",
    "widgets": [
      {
        "type": "matrix",
        "top": 240,
        "left": 40,
        "lock": false,
        "id": "mixer/berger/pan",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 570,
        "height": 50,
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "horizontal",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "widgetType": "knob",
        "quantity": 6,
        "props": {},
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [],
        "tabs": []
      },
      {
        "type": "matrix",
        "top": 20,
        "left": 40,
        "lock": false,
        "id": "mixer/berger/volume",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 570,
        "height": 220,
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "horizontal",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "widgetType": "fader",
        "quantity": 6,
        "props": {},
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [],
        "tabs": []
      },
      {
        "type": "matrix",
        "top": 290,
        "left": 40,
        "lock": false,
        "id": "mixer/berger/mute",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 570,
        "height": 40,
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "horizontal",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "widgetType": "button",
        "quantity": 6,
        "props": {},
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [],
        "tabs": []
      },
      {
        "type": "panel",
        "top": 20,
        "left": 610,
        "lock": false,
        "id": "mixer/string/master_panel",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 60,
        "height": 310,
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "default",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [
          {
            "type": "fader",
            "top": 0,
            "left": 0,
            "lock": false,
            "id": "mixer/berger/volume/master",
            "visible": true,
            "interaction": true,
            "comments": "",
            "width": "auto",
            "height": 300,
            "expand": "false",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorStroke": "auto",
            "colorFill": "auto",
            "alphaStroke": "auto",
            "alphaFillOff": "auto",
            "alphaFillOn": "auto",
            "lineWidth": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "design": "default",
            "knobSize": "auto",
            "horizontal": false,
            "pips": false,
            "dashed": false,
            "gradient": [],
            "snap": false,
            "spring": false,
            "doubleTap": false,
            "range": {
              "min": 0,
              "max": 1
            },
            "logScale": false,
            "sensitivity": 1,
            "steps": "",
            "origin": "auto",
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "onTouch": ""
          }
        ],
        "tabs": []
      },
      {
        "type": "button",
        "top": 520,
        "left": 40,
        "lock": false,
        "id": "transport",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 80,
        "height": 30,
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorTextOn": "auto",
        "label": "#{@{this} == 0 ? \"play\" : \"stop\"}",
        "vertical": false,
        "wrap": false,
        "on": 1,
        "off": 0,
        "mode": "toggle",
        "doubleTap": false,
        "decoupled": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 0,
        "target": "",
        "ignoreDefaults": false,
        "bypass": true,
        "onCreate": "",
        "onValue": "if(value === 1){\n  send(false, \"/transport\", 1, get(\"measure\"), get(\"beat\"));\n} else {\n  send(false, \"/transport\", 0, get(\"measure\"), get(\"beat\"));\n}"
      },
      {
        "type": "panel",
        "top": 330,
        "left": 40,
        "lock": false,
        "id": "metronome",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 630,
        "height": 190,
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "default",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [
          {
            "type": "input",
            "top": 0,
            "left": 0,
            "lock": false,
            "id": "measure",
            "visible": true,
            "interaction": true,
            "comments": "",
            "width": 250,
            "height": 180,
            "expand": "false",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorStroke": "auto",
            "colorFill": "auto",
            "alphaStroke": "auto",
            "alphaFillOff": "auto",
            "alphaFillOn": "auto",
            "lineWidth": "auto",
            "borderRadius": "auto",
            "padding": 0,
            "html": "",
            "css": ":host {\n  font-size: 120rem;\n}",
            "align": "center",
            "unit": "",
            "asYouType": false,
            "numeric": false,
            "validation": "",
            "maxLength": "",
            "value": 1,
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 0,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": ""
          },
          {
            "type": "text",
            "top": 10,
            "left": 250,
            "lock": false,
            "id": "text_3",
            "visible": true,
            "comments": "",
            "width": 50,
            "height": 130,
            "expand": "false",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorStroke": "auto",
            "colorFill": "auto",
            "alphaStroke": "auto",
            "alphaFillOff": "auto",
            "alphaFillOn": "auto",
            "lineWidth": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": ":host {\n  font-size: 120rem;\n}",
            "vertical": false,
            "wrap": false,
            "align": "center",
            "value": ":",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "decimals": 2,
            "target": "",
            "onCreate": "",
            "onValue": ""
          },
          {
            "type": "input",
            "top": 0,
            "left": 300,
            "lock": false,
            "id": "beat",
            "visible": true,
            "interaction": true,
            "comments": "",
            "width": 120,
            "height": 180,
            "expand": false,
            "colorText": "auto",
            "colorWidget": "auto",
            "colorStroke": "auto",
            "colorFill": "auto",
            "alphaStroke": "auto",
            "alphaFillOff": "auto",
            "alphaFillOn": "auto",
            "lineWidth": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": ":host {\n  font-size: 120rem;\n}",
            "align": "center",
            "unit": "",
            "asYouType": false,
            "numeric": true,
            "validation": "",
            "maxLength": "",
            "value": 1,
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 0,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": ""
          },
          {
            "type": "led",
            "top": 10,
            "left": 430,
            "lock": false,
            "id": "visual_click",
            "visible": true,
            "comments": "",
            "width": 180,
            "height": 160,
            "expand": "false",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorStroke": "auto",
            "colorFill": "auto",
            "alphaStroke": "auto",
            "alphaFillOff": "auto",
            "alphaFillOn": "auto",
            "lineWidth": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "mode": "intensity",
            "range": {
              "min": 0,
              "max": 1
            },
            "alphaRange": {
              "min": 0,
              "max": 1
            },
            "logScale": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "target": "",
            "onCreate": "",
            "onValue": "var fallTime = 0.3,\nfps = 24,\nmaxValue = 1,\nstep = maxValue / fps / fallTime\n\nsetTimeout(()=>{\n  if (value <= 0) clearTimeout()\n  set(\"this\", value - step)\n}, 1000 / fps)"
          }
        ],
        "tabs": []
      },
      {
        "type": "switch",
        "top": 50,
        "left": 750,
        "lock": false,
        "id": "switch_1",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "auto",
        "height": "auto",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorTextOn": "auto",
        "layout": "vertical",
        "gridTemplate": "",
        "wrap": false,
        "values": "{\n  \"\n  \"Value 2\": 2\n}",
        "mode": "tap",
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": ""
      }
    ],
    "tabs": []
  }
}